Call Lens

List webhook endpoints

GET
/webhooks

Authorization

ApiKey webhooks:manage
AuthorizationBearer <token>

Authorization: Bearer clk_{tenant_id}_{secret}. The header X-Api-Key carrying the same value is also accepted, for integration platforms that cannot set an Authorization header. Keys are minted in the Call Lens dashboard.

In: header

Scope: webhooks:manage

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks"
{  "success": true,  "message": "Webhook endpoints.",  "data": {    "items": [      {        "id": "string",        "url": "string",        "active": true,        "description": "string",        "events": [          "call.completed"        ],        "last_delivered_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z"      }    ],    "disclosure": "string"  }}